# Interface FastqWriter

All Superinterfaces:
  `AutoCloseable, Closeable, Writer<FastqRecord>`

All Known Implementing Classes:
  `AsyncFastqWriter, BasicFastqWriter`

public interface FastqWriter extends Closeable, Writer<FastqRecord>
Simple interface for a class that can write out fastq records.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`write(FastqRecord rec)`
Writes one item.

### Methods inherited from interface Writer

`write`

## Method Details

### write

void write(FastqRecord rec)
Description copied from interface: `Writer`
Writes one item.

Specified by:
  `write` in interface `Writer<FastqRecord>`
Parameters:
  `rec` - the item to write.

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`